<id>
Admin Update Service Pack
</id>

<version>
1.0 SP
</version>

<mod info>
Updates and improves some administration features. 
1) Remove old threads can be used on specified boards instead of entire forum, allowing boards such as ones used for announcements to be skipped over when deleting old messages.
2) Gives Maintenance Controls in Admin Center confirmation boxes so features are not accidentally executed by mistaken clicking.
3) Makes delete on messages as for confirmation of delete and makes remove thread confirmation into same confirmation box format. 

Made compatible for Service Pack by Jalapeno. Also put all text into english.lng for easier translation. 
</mod info>

<author>
DaveB (adapted for SP1 by Jalapeno)
</author>

<homepage>
http://www.davesworldzone.com/
</homepage>

<edit file>
Sources/RemoveOldThreads.pl
</edit file>

<search for>
		foreach $curboard (@catinfo) {
			chomp $curboard;
</search for>

<add after>
		if ($FORM{$curboard.'check'} == 1) {
</add after>

<search for>
			}
			fclose(FILE);
</search for>

<add before>
			}
</add before>

<edit file>
Sources/Admin.pl
</edit file>

<search for>
</MAP>
</search for>

<add after>
<script language="javascript">
function confirm_cleanlog (resource)  {
	if (window.confirm(resource) )  {
		window.location.href =  "$cgi;action=clean_log";
		}
	}
function confirm_boardrecount (resource)   {
	if (window.confirm(resource) )  {
		window.location.href =  "$cgi;action=boardrecount";
		}
	}
function confirm_membershiprecount (resource)   {
	if (window.confirm(resource) )  {
		window.location.href =  "$cgi;action=membershiprecount";
		}
	}
function confirm_rebuildmemlist (resource)   {
	if (window.confirm(resource) )  {
		window.location.href =  "$cgi;action=rebuildmemlist";
		}
	}
</script>
</add after>

<search for>
        - <a href="$cgi;action=clean_log">$txt{'202'}</a><br>
        - <a href="$cgi;action=boardrecount">$txt{'502'}</a><br>
        - <a href="$cgi;action=membershiprecount">$txt{'504'}</a><br>
        - <a href="$cgi;action=rebuildmemlist">$txt{'593'}</a><BR>
        - <font size="1">($txt{'595'})</font>
        <form action="$cgi;action=removeoldthreads" method="POST">
        $txt{'124'} <input type=text name="maxdays" size="2" value="$maxdays"> $txt{'579'}
        <input type=submit value="$txt{'31'}"></form>
</search for>

<replace>
     - <a href='javascript:confirm_cleanlog("$txt{'203'}");'>$txt{'202'}</a><br>
     - <a href='javascript:confirm_boardrecount("$aduptxt{'01'}");'>$txt{'502'}</a><br>
     - <a href='javascript:confirm_membershiprecount("$aduptxt{'02'}");'>$txt{'504'}</a><br>
     - <a href='javascript:confirm_rebuildmemlist("$aduptxt{'03'}");'>$txt{'593'}</a><BR>
     -      $txt{'595'}<BR>
     - <a href="$cgi&action=deleteoldthreads">$aduptxt{'04'}</a><BR> 
</replace>

<search for>
sub RebuildMemList {
</search for>

<add before>
sub DeleteOldMessages {
	&is_admin;
	fopen(FILE, "$vardir/oldestmes.txt");
	$maxdays = <FILE>;
	fclose(FILE);
	$yytitle = "$aduptxt{'04'}";
	$yymain .= qq~  
<form action="$cgi&action=removeoldthreads" method="POST">
<table border="0" width="70%" cellspacing="1" cellpadding="3" bgcolor="$color{'bordercolor'}" class="bordercolor" align="center">
  <tr>
    <td class="titlebg" bgcolor="$color{'titlebg'}">
    <img src="$imagesdir/ban.gif" alt="">
    <font size=2 class="text1" color="$color{'titletext'}"><b>$aduptxt{'04'}</b></font></td>
  </tr><tr>
    <td class="windowbg" bgcolor="$color{'windowbg'}"><BR><font size="1">$aduptxt{'05'}</font><BR><BR></td>
  </tr><tr>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}" align="center"><BR>
        <font size="2">$txt{'124'} <input type=text name="maxdays" size="2" value="$maxdays"> $txt{'579'} in:<p>
        <table border="0">
~;
	fopen(FILE, "$vardir/cat.txt");
	@categories = <FILE>;
	fclose(FILE);
	foreach $curcat (@categories) {
		chomp $curcat;
		fopen(FILE, "$boardsdir/$curcat.cat");
		$curcatname = <FILE>;
		$curcataccess = <FILE>;
		chomp $curcatname;
		chomp $curcataccess;
		@catinfo = <FILE>;
		fclose(FILE);
		foreach $curboard (@catinfo) {
			chomp $curboard;
			fopen(FILE, "$boardsdir/$curboard.dat");
			@boardinfo = <FILE>;
			fclose(FILE);
			chomp $boardinfo[0];
			$boardname = $boardinfo[0];
			chomp $curboard;
		$selectname = $curboard.'check';
$yymain .= qq~
	<tr><td align="left"><font size="2">$boardname&nbsp;</td><td align="left">&nbsp;<input type="checkbox" name="$selectname" value="1"></td></tr>
~;
	}
}

$yymain .= qq~
</table>
        <br>
        <input type=submit value="$txt{'31'}"><BR></td>
  </tr>
</table>
</form>
~;
	&template;
	exit;
}

</add before>

<edit file>
YaBB.pl
</edit file>

<search for>
	elsif ($action eq 'deletemultimembers') { require "$sourcedir/Admin.pl"; &DeleteMultiMembers; }
</search for>

<add after>
	elsif ($action eq 'deleteoldthreads') { require "$sourcedir/Admin.pl"; &DeleteOldMessages; }
</add after>

<edit file>
english.lng
</edit file>

<search for>
$txt{'796'} = "Your Instant Messages:";
</search for>

<add after>
$aduptxt{'01'} = "Are you sure you want to recount all board totals?";
$aduptxt{'02'} = "Are you sure you want to recount the membership?";
$aduptxt{'03'} = "Are you sure you want to rebuild the members list?";
$aduptxt{'04'} = "Remove Old Threads";
$aduptxt{'05'} = "Input the maximum number of how many days old messages can be without being deleted during this process. Then select the boards in which you will be deleting messages that are older than the number of days old you specified.";
</add after>